#ifndef XSTREAMFILENAME_H
#define XSTREAMFILENAME_H

#include "xasset.h"
#include "xstreamfileinfo.h"

class XStreamFileName : public XAsset
{
public:
    explicit XStreamFileName();
    ~XStreamFileName();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint32 mFileIndex;
    XStreamFileInfo mInfo;
};

#endif // XSTREAMFILENAME_H
